## os-autoinst 4.6.1674476646.0798a03c

=== CMakeLists.txt ===
project(os-autoinst CXX)
cmake_minimum_required(VERSION 3.3.0)

# list non-C++ source files
set(DOC_FILES
    doc/architecture.md
    doc/backend_vars.asciidoc
    doc/backends.md
    doc/memorydumps.asciidoc
    doc/networking.md
)
set(PERL_FILES
    autotest.pm
    backend/amt.pm
    backend/baseclass.pm
    backend/console_proxy.pm
    backend/driver.pm
    backend/generalhw.pm
    backend/ikvm.pm
    backend/ipmi.pm
    backend/null.pm
    backend/pvm_hmc.pm
    backend/pvm.pm
    backend/qemu.pm
    backend/s390x.pm
    backend/spvm.pm
    backend/svirt.pm
    backend/vagrant.pm
    backend/virt.pm
    basetest.pm
    bmwqemu.pm
    commands.pm
    consoles/amtSol.pm
    consoles/console.pm
    consoles/ipmiSol.pm
    consoles/localXvnc.pm
    consoles/network_console.pm
    consoles/s3270.pm
    consoles/serial_screen.pm
    consoles/sshIucvconn.pm
    consoles/ssh_screen.pm
    consoles/sshSerial.pm
    consoles/sshVirtsh.pm
    consoles/sshVirtshSUT.pm
    consoles/sshX3270.pm
    consoles/sshXtermIPMI.pm
    consoles/sshXtermVt.pm
    consoles/ttyConsole.pm
    consoles/video_base.pm
    consoles/video_stream.pm
    consoles/virtio_terminal.pm
    consoles/vnc_base.pm
    consoles/VNC.pm
    consoles/VMWare.pm
    distribution.pm
    lockapi.pm
    log.pm
    mmapi.pm
    myjsonrpc.pm
    needle.pm
    ocr.pm
    OpenQA/Benchmark/Stopwatch.pm
    OpenQA/Commands.pm
    OpenQA/Exceptions.pm
    OpenQA/Isotovideo/Backend.pm
    OpenQA/Isotovideo/CommandHandler.pm
    OpenQA/Isotovideo/Interface.pm
    OpenQA/Isotovideo/NeedleDownloader.pm
    OpenQA/Isotovideo/Runner.pm
    OpenQA/Isotovideo/Utils.pm
    OpenQA/NamedIOSelect.pm
    OpenQA/Qemu/BlockDevConf.pm
    OpenQA/Qemu/BlockDev.pm
    OpenQA/Qemu/ControllerConf.pm
    OpenQA/Qemu/DriveController.pm
    OpenQA/Qemu/DriveDevice.pm
    OpenQA/Qemu/DrivePath.pm
    OpenQA/Qemu/MutParams.pm
    OpenQA/Qemu/PFlashDevice.pm
    OpenQA/Qemu/Proc.pm
    OpenQA/Qemu/SnapshotConf.pm
    OpenQA/Qemu/Snapshot.pm
    OpenQA/Test/RunArgs.pm
    osutils.pm
    signalblocker.pm
    testapi.pm
)
set(MISC_FILES
    consoles/icewm.cfg
    crop.py
    testapi.py
    dmidata/dell_e6330/smbios_type_1.bin
    dmidata/dell_e6330/smbios_type_2.bin
    dmidata/dell_e6330/smbios_type_3.bin
    dmidata/hp_elitebook_820g1/smbios_type_1.bin
    dmidata/hp_elitebook_820g1/smbios_type_2.bin
    dmidata/hp_elitebook_820g1/smbios_type_3.bin
    dmidata/dump
)

# determine install directories
# note: Not using ${CMAKE_INSTALL_LIBDIR} here because this seems always lib in our packaging (and
#       never lib64) regardless of the architecture.
include(GNUInstallDirs)
set(OS_AUTOINST_DATA_DIR "lib/os-autoinst"
    CACHE STRING "directory to install os-autoinst internal Perl modules and misc files to")
set(OS_AUTOINST_DOC_DIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/packages/os-autoinst"
    CACHE STRING "directory to install documentation to")
set(SYSTEMD_SERVICE_DIR "lib/systemd/system"
    CACHE STRING "directory to install systemd service files to")

# common dependency lookup
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH}")
include(pkg-config)
find_package(OpenCV REQUIRED)

# configure flags regarding warnings
include(warnings)

# build and install tools/libraries in sub directories
add_subdirectory(debugviewer)
add_subdirectory(snd2png)
add_subdirectory(ppmclibs)
add_subdirectory(doc)
add_subdirectory(systemd)

# build and install videoencoder
add_executable(videoencoder videoencoder.cpp)
target_use_pkg_config_module(videoencoder "theoraenc>=1.1")
install(TARGETS videoencoder RUNTIME DESTINATION "${OS_AUTOINST_DATA_DIR}")

# allow symlinking created executables into source directory
# note: This target is supposed to be used for making a development environment. The symlinks will
#       allow isotovideo to find all native executables created by this build.
get_filename_component(SRC_DIR "${CMAKE_SOURCE_DIR}" REALPATH)
get_filename_component(BIN_DIR "${CMAKE_BINARY_DIR}" REALPATH)
if (NOT SRC_DIR STREQUAL BIN_DIR)
    set(OUT_OF_SOURCE_TREE_BUILD_COMMANDS
        COMMAND ln -fs $<TARGET_FILE:videoencoder> "${CMAKE_CURRENT_SOURCE_DIR}/videoencoder"
        COMMAND ln -fs $<TARGET_FILE:snd2png> "${CMAKE_CURRENT_SOURCE_DIR}/snd2png/snd2png"
        COMMAND ln -fs $<TARGET_FILE:debugviewer> "${CMAKE_CURRENT_SOURCE_DIR}/debugviewer/debugviewer"
    )
endif ()
add_custom_target(
    symlinks
    COMMENT "Symlinking created executables into source directory"
    COMMAND mkdir -p "${CMAKE_CURRENT_SOURCE_DIR}/ppmclibs/blib/arch/auto/tinycv"
    COMMAND mkdir -p "${CMAKE_CURRENT_SOURCE_DIR}/ppmclibs/blib/lib"
    COMMAND ln -fs "../../tinycv.pm" "${CMAKE_CURRENT_SOURCE_DIR}/ppmclibs/blib/lib/tinycv.pm"
    COMMAND ln -fs $<TARGET_FILE:tinycv> "${CMAKE_CURRENT_SOURCE_DIR}/ppmclibs/blib/arch/auto/tinycv/tinycv.so"
    ${OUT_OF_SOURCE_TREE_BUILD_COMMANDS}
)
add_dependencies(symlinks videoencoder snd2png debugviewer tinycv)

# create installable versions of isotovideo and cv.pm
set(OS_AUTOINST_VERSION "" CACHE STRING "os-autoinst version to set for the installation")
find_program(GIT_BIN git)
if (OS_AUTOINST_VERSION)
    set(OS_AUTOINST_VERSION_REPLACE "${OS_AUTOINST_VERSION}")
elseif (GIT_BIN AND IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/.git")
    execute_process(COMMAND "${GIT_BIN}" rev-parse HEAD
                    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                    OUTPUT_VARIABLE OS_AUTOINST_VERSION_REPLACE)
    string(REPLACE "\n" "" OS_AUTOINST_VERSION_REPLACE "${OS_AUTOINST_VERSION_REPLACE}")
else ()
    set(OS_AUTOINST_VERSION_REPLACE "unknown")
endif ()
add_custom_command(
    COMMENT "Make directory to store intermediate files for install target"
    COMMAND mkdir -p "${CMAKE_CURRENT_BINARY_DIR}/install-target"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/install-target"
)
add_custom_command(
    COMMENT "Make install version of isotovideo"
    COMMAND
        sed -e "\"s,\\$$installprefix = undef\;,\\$$installprefix = '${CMAKE_INSTALL_PREFIX}/${OS_AUTOINST_DATA_DIR}'\;,\""
            -e "\"s,my \\$$thisversion = \\(.*\\);,my \\$$thisversion = '${OS_AUTOINST_VERSION_REPLACE}';,\""
        "${CMAKE_CURRENT_SOURCE_DIR}/isotovideo" > "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
    DEPENDS "isotovideo" "CMakeLists.txt" "${CMAKE_CURRENT_BINARY_DIR}/install-target"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
)
add_custom_command(
    COMMENT "Make install version of cv.pm"
    COMMAND
        sed -e "\"s,\\$$sysdir = undef\;,\\$$sysdir = '${CMAKE_INSTALL_PREFIX}/${OS_AUTOINST_DATA_DIR}'\;,\""
        "${CMAKE_CURRENT_SOURCE_DIR}/cv.pm" > "${CMAKE_CURRENT_BINARY_DIR}/install-target/cv.pm"
    DEPENDS "cv.pm" "CMakeLists.txt" "${CMAKE_CURRENT_BINARY_DIR}/install-target"
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/install-target/cv.pm"
)
add_custom_target(generate-install-versions ALL
    COMMENT "Generate install version of isotovideo and cv.pm"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo" "${CMAKE_CURRENT_BINARY_DIR}/install-target/cv.pm"
)

# install non-C++ files
set(EXECUTABLE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
    DESTINATION "${CMAKE_INSTALL_BINDIR}"
    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
)
foreach (FILE README.asciidoc COPYING ${GENERATED_DOC_FILES})
    install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DOC_DIR}")
endforeach ()
foreach (FILE ${PERL_FILES} ${MISC_FILES})
    get_filename_component(SUB_DIR ${FILE} DIRECTORY)
    install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DATA_DIR}/${SUB_DIR}")
endforeach ()
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/install-target/cv.pm" DESTINATION "${OS_AUTOINST_DATA_DIR}")
install(FILES "schema/Wheels-01.yaml" DESTINATION "${OS_AUTOINST_DATA_DIR}/schema")

# install openvswitch files
install(
    FILES "os-autoinst-openvswitch"
    DESTINATION "${OS_AUTOINST_DATA_DIR}"
    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
    COMPONENT "openvswitch" EXCLUDE_FROM_ALL
)
install(
    FILES "etc/dbus-1/system.d/org.opensuse.os_autoinst.switch.conf"
    DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d"
    COMPONENT "openvswitch"
    EXCLUDE_FROM_ALL
)
foreach (EXTRA_SCRIPT check_qemu_oom dewebsockify vnctest)
    install(
        FILES "${EXTRA_SCRIPT}"
        DESTINATION "${OS_AUTOINST_DATA_DIR}"
        PERMISSIONS ${EXECUTABLE_PERMISSIONS}
    )
endforeach ()
add_custom_target(install-openvswitch
    COMMAND "${CMAKE_COMMAND}" -DCMAKE_INSTALL_COMPONENT=openvswitch -P "${CMAKE_BINARY_DIR}/cmake_install.cmake")

# add tests
include(test-targets)

# add target to update files containing dependency information
add_custom_target(
    update-deps
    COMMENT "Updating dependency information"
    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --specfile dist/rpm/os-autoinst.spec --dockerfile container/os-autoinst_dev/Dockerfile
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
)

# add target for formatting C++ source code
find_program(CLANG_FORMAT_PATH clang-format)
add_custom_target(
    tidy-cpp
    COMMENT "Formatting C++ source code"
    COMMAND sh -c "'${CLANG_FORMAT_PATH}" "--style=WebKit" "-i" "$$(find" "." "-name" "\*.h" "-o" "-name" "\*.cc" "-o" "-name" "\*.cpp)'"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
)

=== debugviewer/CMakeLists.txt ===
project(debugviewer)
cmake_minimum_required(VERSION 3.3.0)

add_executable(${PROJECT_NAME} ${PROJECT_NAME}.cpp)
target_link_libraries(${PROJECT_NAME} PRIVATE opencv_core opencv_imgcodecs opencv_highgui)
target_compile_options(${PROJECT_NAME} PRIVATE ${PRIVATE_COMPILE_OPTIONS})
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
os-autoinst (4.6.1674476646.0798a03c-6) unstable; urgency=medium

  * make test exclusions conditional on arch

 -- Philip Hands <phil@hands.com>  Sat, 25 Feb 2023 20:32:04 +0100

os-autoinst (4.6.1674476646.0798a03c-5) unstable; urgency=medium

  * mips64el needs even longer for the tests

 -- Philip Hands <phil@hands.com>  Sat, 25 Feb 2023 10:07:19 +0100

os-autoinst (4.6.1674476646.0798a03c-4) unstable; urgency=medium

  * extend (too short for some arches) test timeout

 -- Philip Hands <phil@hands.com>  Fri, 24 Feb 2023 23:19:41 +0100

os-autoinst (4.6.1674476646.0798a03c-3) unstable; urgency=medium

  * disable fragile 10-virtio_terminal.t test (Closes: #1031195)

 -- Philip Hands <phil@hands.com>  Fri, 24 Feb 2023 21:06:27 +0100

os-autoinst (4.6.1674476646.0798a03c-2) unstable; urgency=medium

  * update Standards-Version
  * drop t/29-backend-generalhw.t (closes: #1031195)

 -- Philip Hands <phil@hands.com>  Fri, 17 Feb 2023 13:55:24 +0100

os-autoinst (4.6.1674476646.0798a03c-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1674476646.0798a03c.
  * set myself as maintainer

 -- Philip Hands <phil@hands.com>  Tue, 24 Jan 2023 12:09:58 +0100

os-autoinst (4.6.1667579802.62acb888-3) unstable; urgency=medium

  * depends libyaml-pp-perl

 -- Philip Hands <phil@hands.com>  Fri, 18 Nov 2022 23:55:38 +0100

os-autoinst (4.6.1667579802.62acb888-2) unstable; urgency=medium

  * cope with a test env. that has echo in /bin (closes: #1024240)

 -- Philip Hands <phil@hands.com>  Thu, 17 Nov 2022 13:44:58 +0100

=== debian/control ===
Source: os-autoinst
Section: devel
Priority: optional
Maintainer: Philip Hands <phil@hands.com>
Uploaders: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               cmake,
               ninja-build,
               dpkg-dev (>= 1.19.0~),
               libtheora-dev,
               libpng-dev,
               libopencv-dev,
               tesseract-ocr,
               libfftw3-dev,
               libsndfile1-dev,
# In Debian, we should NOT get modules from cpan...
               libmodule-cpanfile-perl <!nocheck>,
# Build-Depends doesn't specify version
               libmojolicious-perl <!nocheck>,
# same as Depends:
               qemu-system-x86 (>= 4.0.0),
# First, we'll put this package to x86 archs...
#              qemu-system (>= 2.0.0) [!amd64 !i386],
               qemu-utils,
               libcarp-always-perl <!nocheck>,
               libdata-dump-perl <!nocheck>,
               libcrypt-des-perl <!nocheck>,
               libjson-perl,
               libnet-dbus-perl <!nocheck>,
               libipc-system-simple-perl,
               libxml-libxml-perl <!nocheck>,
               libnet-ssh2-perl <!nocheck>,
               libtest-mockmodule-perl <!nocheck>,
               libdevel-cover-perl <!nocheck>,
               libtest-warnings-perl,
               libpod-coverage-perl <!nocheck>,
               libtest-fatal-perl <!nocheck>,
               libtest-pod-perl <!nocheck>,
               libexception-class-perl <!nocheck>,
               libipc-run-perl,
               libtest-output-perl <!nocheck>,
               libclass-accessor-perl <!nocheck>,
               libautodie-perl <!nocheck>,
               libnet-ip-perl <!nocheck>,
               libfile-which-perl,
               libnet-snmp-perl,
               libjson-xs-perl:native,
# needs to be tested
               libtest-compile-perl <!nocheck>,
               liblist-moreutils-perl <!nocheck>,
               libperl-critic-perl <!nocheck>,
               libtest-mock-time-perl <!nocheck>,
               libsocket-msghdr-perl <!nocheck>,
               libcpanel-json-xs-perl:native <!nocheck>,
               libmojo-ioloop-readwriteprocess-perl <!nocheck>,
               libtest-strict-perl <!nocheck>,
               libtest-exception-perl <!nocheck>,
               libfile-touch-perl <!nocheck>,
               libtest-mockobject-perl <!nocheck>,
               libtest-most-perl <!nocheck>,
               libyaml-libyaml-perl <!nocheck>,
               libyaml-pp-perl <!nocheck>,
               libxml-semanticdiff-perl <!nocheck>,
               libio-stringy-perl <!nocheck>,
               libinline-perl <!nocheck>,
               libinline-python-perl <!nocheck>,
               libfile-chdir-perl <!nocheck>,
               libtest-mockrandom-perl <!nocheck>,
               libtime-moment-perl <!nocheck>,
               libjson-validator-perl <!nocheck>,
               libcode-tidyall-perl <!nocheck>,
               spell <!nocheck>,
               git <!nocheck>,
               wget <!nocheck>,
               cpio <!nocheck>,
               procps <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://open.qa
Vcs-Git: https://salsa.debian.org/debian/os-autoinst.git
Vcs-Browser: https://salsa.debian.org/debian/os-autoinst

Package: os-autoinst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
         qemu-system-x86 (>= 4.0.0), qemu-utils,
         optipng, git, tesseract-ocr-all,
         python3,
# specify version
               libmojolicious-perl (>= 5.60),
# same as B-D
               libcarp-always-perl,
               libdata-dump-perl,
               libcrypt-des-perl,
               libjson-perl,
               libnet-dbus-perl,
               libipc-system-simple-perl,
               libxml-libxml-perl,
               libnet-ssh2-perl,
               libtest-mockmodule-perl,
               libdevel-cover-perl,
               libtest-warnings-perl,
               libpod-coverage-perl,
               libtest-fatal-perl,
               libtest-pod-perl,
               libexception-class-perl,
               libipc-run-perl,
               libtest-output-perl,
               libautodie-perl,
               libnet-ip-perl,
               libfile-which-perl,
               libnet-snmp-perl,
               libjson-xs-perl,
               libyaml-pp-perl,
Enhances: openqa
Recommends: x11-xkb-utils,
# Upstream recommends: /usr/bin/Xvnc
            tigervnc-standalone-server,
# Upstream recommends: dumponlyconsole
            openvswitch-switch,
Description: automated testing of Operating Systems
 The OS-autoinst project aims at providing a means to run fully automated
 tests. Especially to run tests of basic and low-level operating system
 components such as bootloader, kernel, installer and upgrade, which can not
 easily and safely be tested with other automated testing frameworks.
 However, it can just as well be used to test firefox and openoffice operation
 on top of a newly installed OS.
 .
 os-autoinst can be executed alone, but is currently designed to be executed
 together with openQA, the web user interface that allows one to run more than
 one os-autoinst instance at the same time.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake+ninja --builddirectory=build

# Following opensuse .spec : don't require qemu and exclude known flaky tests
tests_excl := t/02-test_ocr.t t/07-commands.t t/13-osutils.t t/14-isotovideo.t t/18-qemu-options.t t/18-backend-qemu.t t/28-signalblocker.t t/99-full-stack.t
# more tests that tend to fail...
tests_excl += t/20-openqa-isotovideo-utils.t t/21-needle-downloader.t t/27-consoles-vnc.t t/27-consoles-local_xvnc.t t/27-consoles-vmware.t t/29-backend-ipmi.t t/30-mmapi.t t/30-make.t
tests_excl += xt/30-make.t
# these fail on single CPU builds (and perhaps some particular archs)
tests_excl += t/10-virtio_terminal.t t/29-backend-generalhw.t
ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel))
  tests_extra_settings = OPENQA_TEST_TIMEOUT_SCALE_CI=10
endif
ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el))
  # on mips64el it's soo slow we might as well give up on this test
  tests_excl += 01-test_needle
endif


override_dh_auto_configure:
	cp -a $(CURDIR)/isotovideo $(CURDIR)/isotovideo.orig
	sed -i 's/my $$thisversion =.*/my $$thisversion = "$(DEB_VERSION)";/' $(CURDIR)/isotovideo
	rm -f $(tests_excl)
	dh_auto_configure -- -DOS_AUTOINST_DOC_DIR=/usr/share/doc/$(DEB_SOURCE) \
		-DSYSTEMD_SERVICE_DIR=/lib/systemd/system -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/os-autoinst/usr/lib/ -name "*.packlist" -delete

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/os-autoinst/usr/lib/os-autoinst/dmidata/dump

override_dh_auto_test:
	# some of the tests apply themselves to all the source they can find, which
	# during a Debian build includes debris created by quilt in the .pc/
	# directory, causing those tests to fail, so let's just discard the rubbish:
	-rm -rf .pc
	cd build && PROVE_ARGS=-v CI=1 $(tests_extra_settings) ninja -v check-pkg-build
	# discard this file, as it breaks reproducibility on salsa
	-rm doc/backend_vars.asciidoc.newvars

override_dh_auto_clean:
	cd $(CURDIR) && rm -f snd2png/snd2png ppmclibs/blib/arch/auto/tinycv/tinycv.so \
	       	ppmclibs/blib/lib/tinycv.pm debugviewer/debugviewer videoencoder \
	       	doc/backend_vars.asciidoc.newvars
	if [ -f $(CURDIR)/isotovideo.orig ]; then mv $(CURDIR)/isotovideo.orig $(CURDIR)/isotovideo; fi
	dh_auto_clean

## os-autoinst 4.6.1699947509.970d0609

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.17.0)
 project(os-autoinst CXX)
-cmake_minimum_required(VERSION 3.3.0)
 
 # list non-C++ source files
 set(DOC_FILES
@@ -16,11 +16,9 @@
     backend/console_proxy.pm
     backend/driver.pm
     backend/generalhw.pm
-    backend/ikvm.pm
     backend/ipmi.pm
     backend/null.pm
     backend/pvm_hmc.pm
-    backend/pvm.pm
     backend/qemu.pm
     backend/s390x.pm
     backend/spvm.pm
@@ -217,6 +215,12 @@
     COMPONENT "openvswitch" EXCLUDE_FROM_ALL
 )
 install(
+    FILES "script/os-autoinst-setup-multi-machine"
+    DESTINATION "${CMAKE_INSTALL_BINDIR}"
+    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
+    COMPONENT "openvswitch" EXCLUDE_FROM_ALL
+)
+install(
     FILES "etc/dbus-1/system.d/org.opensuse.os_autoinst.switch.conf"
     DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d"
     COMPONENT "openvswitch"

=== debian/changelog ===
os-autoinst (4.6.1699947509.970d0609-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:04:16 +1100

os-autoinst (4.6.1699947509.970d0609-5build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:46:57 +0100

os-autoinst (4.6.1699947509.970d0609-5) unstable; urgency=medium

  * also give riscv64 extra time for running tests

 -- Philip Hands <phil@hands.com>  Wed, 17 Jan 2024 16:49:43 +0100

os-autoinst (4.6.1699947509.970d0609-4) unstable; urgency=medium

  * add mips64el to archs that need longer for tests.

 -- Philip Hands <phil@hands.com>  Wed, 17 Jan 2024 09:57:36 +0100

os-autoinst (4.6.1699947509.970d0609-3) unstable; urgency=medium

  * skip tests that depend on git if not in a repo.
  * deal with $BUILD_ARCH being unset

 -- Philip Hands <phil@hands.com>  Mon, 15 Jan 2024 17:34:32 +0100

os-autoinst (4.6.1699947509.970d0609-2) unstable; urgency=medium

  * really skip the failing i386 test (Closes: #1060653)

 -- Philip Hands <phil@hands.com>  Mon, 15 Jan 2024 10:25:29 +0100

os-autoinst (4.6.1699947509.970d0609-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1699947509.970d0609. (Closes: #1054776)

 -- Philip Hands <phil@hands.com>  Fri, 08 Dec 2023 21:56:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: os-autoinst
 Section: devel
 Priority: optional
-Maintainer: Philip Hands <phil@hands.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philip Hands <phil@hands.com>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,11 @@
 # more tests that tend to fail...
 tests_excl += t/20-openqa-isotovideo-utils.t t/21-needle-downloader.t t/27-consoles-vnc.t t/27-consoles-local_xvnc.t t/27-consoles-vmware.t t/29-backend-ipmi.t t/30-mmapi.t t/30-make.t
 tests_excl += xt/30-make.t
+# perltidy currently has a version skew
+tests_excl += xt/00-tidy.t
 # these fail on single CPU builds (and perhaps some particular archs)
 tests_excl += t/10-virtio_terminal.t t/29-backend-generalhw.t
-ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel))
+ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel mips64el riscv64))
   tests_extra_settings = OPENQA_TEST_TIMEOUT_SCALE_CI=10
 endif
 ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el))

## os-autoinst 4.6.1712854180.1bf07142

=== CMakeLists.txt ===
--- 
+++ 
@@ -243,7 +243,7 @@
 add_custom_target(
     update-deps
     COMMENT "Updating dependency information"
-    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --specfile dist/rpm/os-autoinst.spec --dockerfile container/os-autoinst_dev/Dockerfile
+    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/tools/update-deps" --cpanfile cpanfile --specfile dist/rpm/os-autoinst.spec --dockerfile container/os-autoinst_dev/Dockerfile
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
 )

=== debian/changelog ===
os-autoinst (4.6.1712854180.1bf07142-4) unstable; urgency=medium

  * the (rather niche) ustreamer video tests fail on some archs
    (armel, armhf, i386 & s390x), so skip them there to avoid FTBFS

 -- Philip Hands <phil@hands.com>  Sat, 04 May 2024 17:47:21 +0200

os-autoinst (4.6.1712854180.1bf07142-3) unstable; urgency=medium

  * update to Standards-Version: 4.7.0 (from 4.6.2)
  * debian/rules: use execute_(before|after)_dh_...
  * clean up ./_Inline/ dir (closes: #1047213)

 -- Philip Hands <phil@hands.com>  Fri, 03 May 2024 09:49:16 +0200

os-autoinst (4.6.1712854180.1bf07142-2) unstable; urgency=medium

  * Build-Depend on libfile-map-perl (for tests)

 -- Philip Hands <phil@hands.com>  Thu, 25 Apr 2024 15:14:45 +0200

os-autoinst (4.6.1712854180.1bf07142-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1712854180.1bf07142.

 -- Philip Hands <phil@hands.com>  Thu, 25 Apr 2024 10:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: os-autoinst
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philip Hands <phil@hands.com>
+Maintainer: Philip Hands <phil@hands.com>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
@@ -71,13 +70,14 @@
                libtime-moment-perl <!nocheck>,
                libjson-validator-perl <!nocheck>,
                libcode-tidyall-perl <!nocheck>,
+               libfile-map-perl <!nocheck>,
                spell <!nocheck>,
                git <!nocheck>,
                wget <!nocheck>,
                cpio <!nocheck>,
                procps <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://open.qa
 Vcs-Git: https://salsa.debian.org/debian/os-autoinst.git
 Vcs-Browser: https://salsa.debian.org/debian/os-autoinst

=== debian/rules ===
--- 
+++ 
@@ -30,12 +30,10 @@
 	dh_auto_configure -- -DOS_AUTOINST_DOC_DIR=/usr/share/doc/$(DEB_SOURCE) \
 		-DSYSTEMD_SERVICE_DIR=/lib/systemd/system -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find $(CURDIR)/debian/os-autoinst/usr/lib/ -name "*.packlist" -delete
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod +x $(CURDIR)/debian/os-autoinst/usr/lib/os-autoinst/dmidata/dump
 
 override_dh_auto_test:
@@ -47,9 +45,9 @@
 	# discard this file, as it breaks reproducibility on salsa
 	-rm doc/backend_vars.asciidoc.newvars
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	cd $(CURDIR) && rm -f snd2png/snd2png ppmclibs/blib/arch/auto/tinycv/tinycv.so \
 	       	ppmclibs/blib/lib/tinycv.pm debugviewer/debugviewer videoencoder \
 	       	doc/backend_vars.asciidoc.newvars
+	-rm -r _Inline
 	if [ -f $(CURDIR)/isotovideo.orig ]; then mv $(CURDIR)/isotovideo.orig $(CURDIR)/isotovideo; fi
-	dh_auto_clean

## os-autoinst 4.6.1731418769.97d9a7fd

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,8 +85,7 @@
 )
 set(MISC_FILES
     consoles/icewm.cfg
-    crop.py
-    testapi.py
+    script/crop.py
     dmidata/dell_e6330/smbios_type_1.bin
     dmidata/dell_e6330/smbios_type_2.bin
     dmidata/dell_e6330/smbios_type_3.bin
@@ -94,6 +93,11 @@
     dmidata/hp_elitebook_820g1/smbios_type_2.bin
     dmidata/hp_elitebook_820g1/smbios_type_3.bin
     dmidata/dump
+)
+set(PYTHON_BINDINGS
+    lockapi
+    mmapi
+    testapi
 )
 
 # determine install directories
@@ -138,6 +142,11 @@
         COMMAND ln -fs $<TARGET_FILE:snd2png> "${CMAKE_CURRENT_SOURCE_DIR}/snd2png/snd2png"
         COMMAND ln -fs $<TARGET_FILE:debugviewer> "${CMAKE_CURRENT_SOURCE_DIR}/debugviewer/debugviewer"
     )
+    foreach (PYTHON_BINDING IN LISTS PYTHON_BINDINGS)
+        list(APPEND OUT_OF_SOURCE_TREE_BUILD_COMMANDS
+            COMMAND ln -fs "${CMAKE_CURRENT_BINARY_DIR}/${PYTHON_BINDING}.py" "${CMAKE_CURRENT_SOURCE_DIR}/${PYTHON_BINDING}.py"
+        )
+    endforeach ()
 endif ()
 add_custom_target(
     symlinks
@@ -173,7 +182,7 @@
     COMMAND
         sed -e "\"s,\\$$installprefix = undef\;,\\$$installprefix = '${CMAKE_INSTALL_PREFIX}/${OS_AUTOINST_DATA_DIR}'\;,\""
             -e "\"s,my \\$$thisversion = \\(.*\\);,my \\$$thisversion = '${OS_AUTOINST_VERSION_REPLACE}';,\""
-        "${CMAKE_CURRENT_SOURCE_DIR}/isotovideo" > "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
+        "${CMAKE_CURRENT_SOURCE_DIR}/script/isotovideo" > "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
     DEPENDS "isotovideo" "CMakeLists.txt" "${CMAKE_CURRENT_BINARY_DIR}/install-target"
     OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/install-target/isotovideo"
 )
@@ -200,6 +209,13 @@
 foreach (FILE README.asciidoc COPYING ${GENERATED_DOC_FILES})
     install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DOC_DIR}")
 endforeach ()
+foreach (PYTHON_BINDING IN LISTS PYTHON_BINDINGS)
+    configure_file("cmake/templates/api.py.in" "${PYTHON_BINDING}.py")
+    install(
+        FILES "${CMAKE_CURRENT_BINARY_DIR}/${PYTHON_BINDING}.py"
+        DESTINATION "${OS_AUTOINST_DATA_DIR}"
+    )
+endforeach ()
 foreach (FILE ${PERL_FILES} ${MISC_FILES})
     get_filename_component(SUB_DIR ${FILE} DIRECTORY)
     install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DATA_DIR}/${SUB_DIR}")
@@ -207,10 +223,9 @@
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/install-target/cv.pm" DESTINATION "${OS_AUTOINST_DATA_DIR}")
 install(FILES "schema/Wheels-01.yaml" DESTINATION "${OS_AUTOINST_DATA_DIR}/schema")
 
-# install openvswitch files
-install(
-    FILES "os-autoinst-openvswitch"
-    DESTINATION "${OS_AUTOINST_DATA_DIR}"
+install(
+    FILES "script/os-autoinst-openvswitch"
+    DESTINATION "${OS_AUTOINST_DATA_DIR}/script"
     PERMISSIONS ${EXECUTABLE_PERMISSIONS}
     COMPONENT "openvswitch" EXCLUDE_FROM_ALL
 )
@@ -226,10 +241,10 @@
     COMPONENT "openvswitch"
     EXCLUDE_FROM_ALL
 )
-foreach (EXTRA_SCRIPT check_qemu_oom dewebsockify vnctest)
+foreach (EXTRA_SCRIPT script/check_qemu_oom script/dewebsockify script/vnctest)
     install(
         FILES "${EXTRA_SCRIPT}"
-        DESTINATION "${OS_AUTOINST_DATA_DIR}"
+        DESTINATION "${OS_AUTOINST_DATA_DIR}/script"
         PERMISSIONS ${EXECUTABLE_PERMISSIONS}
     )
 endforeach ()

=== ppmclibs/CMakeLists.txt ===
project(ppmclibs CXX)
cmake_minimum_required(VERSION 3.17.0)

# find perl
find_program(PERL_PATH perl)
if (NOT PERL_PATH)
    message(FATAL_ERROR "Unable to find perl.")
endif ()
message(STATUS "Perl executable: ${PERL_PATH}")
execute_process(
    COMMAND "${PERL_PATH}" -e "print(join(';', @INC))"
    OUTPUT_VARIABLE PERL_INCLUDE_PATHS
)
message(STATUS "Detected Perl include paths: ${PERL_INCLUDE_PATHS}")

# find directory to install the tinycv Perl module to
set(PERL_INSTALL_CONFIGURATION_VARIABLE "installvendorarch"
    CACHE STRING "Perl configuration variable to query for the tinycv install directory")
execute_process(
    COMMAND "${PERL_PATH}" "-V:${PERL_INSTALL_CONFIGURATION_VARIABLE}"
    OUTPUT_VARIABLE PERL_INSTALL_VENDORARCH
)
if (PERL_INSTALL_VENDORARCH MATCHES "${PERL_INSTALL_CONFIGURATION_VARIABLE}='(.*)';")
    set(PERL_INSTALL_VENDORARCH "${CMAKE_MATCH_1}")
    message(STATUS "Detected Perl ${PERL_INSTALL_CONFIGURATION_VARIABLE} (for tinycv): ${PERL_INSTALL_VENDORARCH}")
else ()
    message(FATAL_ERROR "Unable to detect Perl ${PERL_INSTALL_CONFIGURATION_VARIABLE} (for tinycv).")
endif ()

# find Perl's header files
set(PERL_INCLUDE_DIRECTORY)
foreach(PERL_INCLUDE_PATH ${PERL_INCLUDE_PATHS})
    if (EXISTS "${PERL_INCLUDE_PATH}/CORE/EXTERN.h")
        set(PERL_INCLUDE_DIRECTORY "${PERL_INCLUDE_PATH}/CORE")
    endif ()
endforeach()
if (NOT PERL_INCLUDE_DIRECTORY)
    message(FATAL_ERROR "Unable to find Perl's header within ${PERL_INCLUDE_PATHS}.")
endif()

# find typemap file used by xsubpp
set(PERL_TYPEMAP)
foreach(PERL_INCLUDE_PATH ${PERL_INCLUDE_PATHS})
    if (EXISTS "${PERL_INCLUDE_PATH}/ExtUtils/typemap")
        set(PERL_TYPEMAP "${PERL_INCLUDE_PATH}/ExtUtils/typemap")
    endif ()
endforeach()
if (NOT PERL_TYPEMAP)
    message(FATAL_ERROR "Unable to find ExtUtils/typemap within ${PERL_INCLUDE_PATHS}.")
endif()

# make rule for invoking xsubpp
find_program(XSUBPP_PATH xsubpp)
if (NOT XSUBPP_PATH)
    message(FATAL_ERROR "Unable to find xsubpp.")
endif ()
message(STATUS "xsubpp executable: ${XSUBPP_PATH}")
set(PREPROCESSED_XS_FILE "${CMAKE_CURRENT_BINARY_DIR}/tinycv-xs.cpp")
add_custom_command(
    COMMENT "Preprocessing Perl XS file"
    COMMAND "${XSUBPP_PATH}" -C++
        -typemap "${PERL_TYPEMAP}"
        -typemap "${CMAKE_CURRENT_SOURCE_DIR}/typemap"
        "${CMAKE_CURRENT_SOURCE_DIR}/tinycv.xs"
        -output "${PREPROCESSED_XS_FILE}"
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/tinycv.xs"
    OUTPUT "${PREPROCESSED_XS_FILE}"
)

# finally create the tinycv library
add_library(tinycv MODULE
    tinycv.h
    tinycv_ast2100.cc
    tinycv_impl.cc
    "${PREPROCESSED_XS_FILE}"
)
target_link_libraries(tinycv PRIVATE opencv_core opencv_imgcodecs)
target_include_directories(tinycv PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}" "${PERL_INCLUDE_DIRECTORY}")
target_compile_definitions(tinycv PRIVATE "-DVERSION=\"1.0\"" "-DXS_VERSION=\"1.0\"" "-D_LARGEFILE_SOURCE" "-D_FILE_OFFSET_BITS=64")
target_compile_options(tinycv PRIVATE ${PRIVATE_COMPILE_OPTIONS})
if (ENABLE_WARNINGS AND (CMAKE_CXX_COMPILER_ID MATCHES ".*Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "GNU"))
    # disable certain warnings in the XS file as it is generated by xsubpp (and hence we have no way of fixing these)
    set_source_files_properties("${PREPROCESSED_XS_FILE}" PROPERTIES COMPILE_OPTIONS "-Wno-old-style-cast;-Wno-sign-conversion;-Wno-conversion")
endif ()
set_target_properties(tinycv PROPERTIES PREFIX "") # remove lib prefix (library is *not* supposed to be called libtinycv.so)

# install the native library and Perl code
install(TARGETS tinycv LIBRARY DESTINATION "${PERL_INSTALL_VENDORARCH}/auto/tinycv")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/tinycv.pm" DESTINATION "${PERL_INSTALL_VENDORARCH}")

=== debian/changelog ===
os-autoinst (4.6.1731418769.97d9a7fd-4) unstable; urgency=medium

  [ Roland Clobus ]
  * Fix buffer overflow in isotovideo
  * Prevent CMakeLists.txt in docs directory
  * t/00: Ignore files deleted from git

  [ Tina Müller ]
  * Adapt check for git error message to new version (closes: #1101603)
    (cherry-picked from upstream by Roland Clobus)

 -- Philip Hands <phil@hands.com>  Mon, 07 Apr 2025 10:03:28 +0200

os-autoinst (4.6.1731418769.97d9a7fd-3) unstable; urgency=medium

  * on ppc64el cache cleanup test fails - disable
  * sparc64: be more patient when running tests

 -- Philip Hands <phil@hands.com>  Sat, 08 Feb 2025 11:16:03 +0100

os-autoinst (4.6.1731418769.97d9a7fd-2) unstable; urgency=medium

  * recommend ffmpeg (closes: #1093632)

 -- Philip Hands <phil@hands.com>  Sat, 08 Feb 2025 00:42:48 +0100

os-autoinst (4.6.1731418769.97d9a7fd-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1731418769.97d9a7fd.
  * add missing depends (closes: #1089652)
  * Build-Depends: pkgconf (rather than pkg-config)

 -- Philip Hands <phil@hands.com>  Sat, 21 Dec 2024 17:49:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Philip Hands <phil@hands.com>
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                cmake,
                ninja-build,
                dpkg-dev (>= 1.19.0~),
@@ -76,6 +76,7 @@
                wget <!nocheck>,
                cpio <!nocheck>,
                procps <!nocheck>,
+               socat <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: http://open.qa
@@ -114,12 +115,18 @@
                libnet-snmp-perl,
                libjson-xs-perl,
                libyaml-pp-perl,
+               libtime-moment-perl,
+               libmojo-ioloop-readwriteprocess-perl,
+               libjson-validator-perl,
+               libcpanel-json-xs-perl,
+               liblist-moreutils-perl,
 Enhances: openqa
 Recommends: x11-xkb-utils,
 # Upstream recommends: /usr/bin/Xvnc
             tigervnc-standalone-server,
 # Upstream recommends: dumponlyconsole
             openvswitch-switch,
+            ffmpeg,
 Description: automated testing of Operating Systems
  The OS-autoinst project aims at providing a means to run fully automated
  tests. Especially to run tests of basic and low-level operating system

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 tests_excl += xt/00-tidy.t
 # these fail on single CPU builds (and perhaps some particular archs)
 tests_excl += t/10-virtio_terminal.t t/29-backend-generalhw.t
-ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel mips64el riscv64))
+ifneq (,$(filter $(DEB_BUILD_ARCH), armel mipsel mips64el riscv64 sparc64))
   tests_extra_settings = OPENQA_TEST_TIMEOUT_SCALE_CI=10
 endif
 ifneq (,$(filter $(DEB_BUILD_ARCH), mips64el))
@@ -37,6 +37,7 @@
 	chmod +x $(CURDIR)/debian/os-autoinst/usr/lib/os-autoinst/dmidata/dump
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# some of the tests apply themselves to all the source they can find, which
 	# during a Debian build includes debris created by quilt in the .pc/
 	# directory, causing those tests to fail, so let's just discard the rubbish:
@@ -44,6 +45,7 @@
 	cd build && PROVE_ARGS=-v CI=1 $(tests_extra_settings) ninja -v check-pkg-build
 	# discard this file, as it breaks reproducibility on salsa
 	-rm doc/backend_vars.asciidoc.newvars
+endif
 
 execute_before_dh_auto_clean:
 	cd $(CURDIR) && rm -f snd2png/snd2png ppmclibs/blib/arch/auto/tinycv/tinycv.so \
@@ -51,3 +53,6 @@
 	       	doc/backend_vars.asciidoc.newvars
 	-rm -r _Inline
 	if [ -f $(CURDIR)/isotovideo.orig ]; then mv $(CURDIR)/isotovideo.orig $(CURDIR)/isotovideo; fi
+
+override_dh_installdocs:
+	dh_installdocs --exclude CMakeLists.txt

## os-autoinst 4.6.1748859519.44e4a9ea

=== debian/changelog ===
os-autoinst (4.6.1748859519.44e4a9ea-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1748859519.44e4a9ea.
  * Revert "Add support for lua test modules" which fail in bookworm.

 -- Philip Hands <phil@hands.com>  Sat, 14 Jun 2025 17:14:12 +0200

os-autoinst (4.6.1747239567.0e09f5de-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1747239567.0e09f5de.
  * Build for bookworm-fasttrack

 -- Philip Hands <phil@hands.com>  Sun, 01 Jun 2025 22:31:59 +0200

## os-autoinst 5.1750841733.3fc0bf73

=== debian/changelog ===
os-autoinst (5.1750841733.3fc0bf73-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1750841733.3fc0bf73.

 -- Philip Hands <phil@hands.com>  Wed, 25 Jun 2025 19:30:39 +0200

os-autoinst (4.6.1749816802.bfdf10eb-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1749816802.bfdf10eb.

 -- Philip Hands <phil@hands.com>  Sun, 15 Jun 2025 16:26:28 +0200

=== debian/control ===
--- 
+++ 
@@ -71,6 +71,7 @@
                libjson-validator-perl <!nocheck>,
                libcode-tidyall-perl <!nocheck>,
                libfile-map-perl <!nocheck>,
+               libfeature-compat-try-perl <!nocheck>,
                spell <!nocheck>,
                git <!nocheck>,
                wget <!nocheck>,

## os-autoinst 5.1751470028.ff900af2

=== debian/changelog ===
os-autoinst (5.1751470028.ff900af2-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1751470028.ff900af2.

 -- Philip Hands <phil@hands.com>  Thu, 03 Jul 2025 09:20:30 +0200

=== debian/control ===
--- 
+++ 
@@ -78,6 +78,8 @@
                cpio <!nocheck>,
                procps <!nocheck>,
                socat <!nocheck>,
+               iproute2 <!nocheck>,
+               jq <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: http://open.qa
@@ -128,6 +130,8 @@
 # Upstream recommends: dumponlyconsole
             openvswitch-switch,
             ffmpeg,
+            jq,
+            iproute2,
 Description: automated testing of Operating Systems
  The OS-autoinst project aims at providing a means to run fully automated
  tests. Especially to run tests of basic and low-level operating system

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
   # on mips64el it's soo slow we might as well give up on this test
   tests_excl += 01-test_needle
 endif
+
+# kludge dodgy tests for now
+tests_excl += t/22-svirt.t t/27-consoles-s3270.t t/27-consoles-sshXtermIPMI.t t/27-consoles-sshXtermVt.t
 
 
 override_dh_auto_configure:

## os-autoinst 5.1753993900.1487e479

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 )
 set(PERL_FILES
     autotest.pm
-    backend/amt.pm
     backend/baseclass.pm
     backend/console_proxy.pm
     backend/driver.pm
@@ -28,7 +27,6 @@
     basetest.pm
     bmwqemu.pm
     commands.pm
-    consoles/amtSol.pm
     consoles/console.pm
     consoles/ipmiSol.pm
     consoles/localXvnc.pm
@@ -62,6 +60,7 @@
     OpenQA/Exceptions.pm
     OpenQA/Isotovideo/Backend.pm
     OpenQA/Isotovideo/CommandHandler.pm
+    OpenQA/Isotovideo/Dewebsockify.pm
     OpenQA/Isotovideo/Interface.pm
     OpenQA/Isotovideo/NeedleDownloader.pm
     OpenQA/Isotovideo/Runner.pm
@@ -206,6 +205,11 @@
     DESTINATION "${CMAKE_INSTALL_BINDIR}"
     PERMISSIONS ${EXECUTABLE_PERMISSIONS}
 )
+install(
+    FILES "${CMAKE_CURRENT_SOURCE_DIR}/script/os-autoinst-generate-needle-preview"
+    DESTINATION "${CMAKE_INSTALL_BINDIR}"
+    PERMISSIONS ${EXECUTABLE_PERMISSIONS}
+)
 foreach (FILE README.asciidoc COPYING ${GENERATED_DOC_FILES})
     install(FILES "${FILE}" DESTINATION "${OS_AUTOINST_DOC_DIR}")
 endforeach ()

=== Makefile ===
# This is a convenience Makefile wrapping cmake calls
# All targets should be defined in CMake

build := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))build
.PHONY: all
all: build/CMakeCache.txt
	ninja -C ${build} symlinks

# empty default to ensure build dir is created when make called with arguments
Makefile: ;
%: build/CMakeCache.txt
	ninja -C ${build} $@

build/CMakeCache.txt:
	@mkdir -p ${build}
	@cmake -B ${build} -S . -G Ninja

=== debugviewer/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(debugviewer)
-cmake_minimum_required(VERSION 3.3.0)
+cmake_minimum_required(VERSION 3.17.0)
 
 add_executable(${PROJECT_NAME} ${PROJECT_NAME}.cpp)
 target_link_libraries(${PROJECT_NAME} PRIVATE opencv_core opencv_imgcodecs opencv_highgui)

=== doc/CMakeLists.txt ===
project(doc CXX)
cmake_minimum_required(VERSION 3.17.0)

find_program(POD2HTML_PATH pod2html)
if (NOT POD2HTML_PATH)
    message(FATAL_ERROR "Unable to find pod2html.")
endif ()

set(GENERATED_DOC_FILES)
foreach (PERL_MODULE basetest testapi)
    add_custom_command(
        COMMENT "Generating ${PERL_MODULE}.html"
        COMMAND "${POD2HTML_PATH}"
            --infile "${CMAKE_CURRENT_SOURCE_DIR}/../${PERL_MODULE}.pm"
            --outfile "${CMAKE_CURRENT_BINARY_DIR}/${PERL_MODULE}.html"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/../${PERL_MODULE}.pm"
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${PERL_MODULE}.html"
    )
    list(APPEND GENERATED_DOC_FILES "${CMAKE_CURRENT_BINARY_DIR}/${PERL_MODULE}.html")
endforeach ()

add_custom_target(generate_documentation ALL
    COMMENT "Generate documentation"
    DEPENDS ${GENERATED_DOC_FILES}
)
set(GENERATED_DOC_FILES "${GENERATED_DOC_FILES}" PARENT_SCOPE)

=== snd2png/CMakeLists.txt ===
project(snd2png CXX)
cmake_minimum_required(VERSION 3.17.0)

add_executable(${PROJECT_NAME} ${PROJECT_NAME}.cpp)
target_link_libraries(${PROJECT_NAME} PRIVATE opencv_core opencv_imgcodecs)
target_compile_options(${PROJECT_NAME} PRIVATE ${PRIVATE_COMPILE_OPTIONS})
target_use_pkg_config_module(${PROJECT_NAME} "fftw3")
target_use_pkg_config_module(${PROJECT_NAME} "sndfile")
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== systemd/CMakeLists.txt ===
project(systemd)
cmake_minimum_required(VERSION 3.17.0)

set(pkglibexecdir "${CMAKE_INSTALL_PREFIX}/${OS_AUTOINST_DATA_DIR}")
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/os-autoinst-openvswitch.service.in"
    "${CMAKE_CURRENT_BINARY_DIR}/os-autoinst-openvswitch.service"
)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/os-autoinst-openvswitch.service"
    DESTINATION "${SYSTEMD_SERVICE_DIR}"
    COMPONENT "openvswitch"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
os-autoinst (5.1753993900.1487e479-2) unstable; urgency=medium

  * build-dep: libcrypt-dev (closes: 1102832)

 -- Philip Hands <phil@hands.com>  Sat, 15 Nov 2025 07:52:15 +0100

os-autoinst (5.1753993900.1487e479-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Mon, 27 Oct 2025 12:43:42 +0100

os-autoinst (5.1753993900.1487e479-1) unstable; urgency=medium

  * switch back to building for unstable

 -- Philip Hands <phil@hands.com>  Mon, 27 Oct 2025 10:16:13 +0100

os-autoinst (5.1753993900.1487e479-1~fto13+1) trixie-fasttrack; urgency=medium

  * rebuild for trixie-fasttrack

 -- Philip Hands <phil@hands.com>  Sat, 09 Aug 2025 13:08:53 +0200

os-autoinst (5.1753993900.1487e479-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1753993900.1487e479.

  [ fastrack backport related changes: ]
  * Revert "Add support for lua test modules"
  * temporarily disable python tests (for bookworm)

 -- Philip Hands <phil@hands.com>  Wed, 06 Aug 2025 16:02:59 +0200

os-autoinst (5.1751470028.ff900af2-1~fto12+2) bookworm-fasttrack; urgency=medium

  * crossbuild: make perl extension build use the host configuration

 -- Philip Hands <phil@hands.com>  Sat, 12 Jul 2025 10:23:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                pkgconf,
                cmake,
                ninja-build,
+               perl-xs-dev,
+               libcrypt-dev,
                dpkg-dev (>= 1.19.0~),
                libtheora-dev,
                libpng-dev,

## os-autoinst 5.1764330105.c5cfd48b

=== debian/changelog ===
os-autoinst (5.1764330105.c5cfd48b-1) unstable; urgency=medium

  * Update to new upstream version 5.1764330105.c5cfd48b.

 -- Philip Hands <phil@hands.com>  Tue, 02 Dec 2025 16:52:29 +0100

=== debian/watch ===
version=4
opts="mode=git, pretty=5.%ct.%h" \
   https://github.com/os-autoinst/os-autoinst \
   HEAD debian uupdate

## os-autoinst 5.1765311639.7e3a7626

=== Makefile ===
# This is a convenience Makefile wrapping cmake calls
# All targets should be defined in CMake

build := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))build
.PHONY: all
all: build/build.ninja
	ninja -C ${build} symlinks

# empty default to ensure build dir is created when make called with arguments
Makefile: ;
%: build/build.ninja
	ninja -C ${build} $@

build/build.ninja:
	@mkdir -p ${build}
	@cmake -B ${build} -S . -G Ninja

=== debian/changelog ===
os-autoinst (5.1765311639.7e3a7626-1~bpo13+2) trixie-backports; urgency=medium

  * re-upload now that -1 has migrated to testing

 -- Philip Hands <phil@hands.com>  Tue, 16 Dec 2025 08:18:43 +0100

os-autoinst (5.1765311639.7e3a7626-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Thu, 11 Dec 2025 08:29:47 +0100

os-autoinst (5.1765311639.7e3a7626-1) unstable; urgency=medium

  * Update to new upstream version 5.1765311639.7e3a7626.

 -- Philip Hands <phil@hands.com>  Wed, 10 Dec 2025 23:14:46 +0100

os-autoinst (5.1764330105.c5cfd48b-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Tue, 02 Dec 2025 17:15:13 +0100

## os-autoinst 5.1768577300.b85e4864

=== debian/changelog ===
os-autoinst (5.1768577300.b85e4864-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Philip Hands <phil@hands.com>  Thu, 22 Jan 2026 21:25:54 +0100

os-autoinst (5.1768577300.b85e4864-1) unstable; urgency=medium

  * Update to new upstream version 5.1768577300.b85e4864.

 -- Philip Hands <phil@hands.com>  Thu, 22 Jan 2026 21:08:33 +0100
